#
# spec file for package compicc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           compicc
Version:        0.8.10
Release:        1.1
Summary:        Compiz ICC Colour Management Server
License:        BSD-3-Clause
Group:          Productivity/Graphics/Other
Url:            https://github.com/compiz-reloaded/compicc
Source:         https://github.com/compiz-reloaded/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE pic-flag.patch schwab@suse.de -- Always compile shared objects with -fPIC.
Patch0:         pic-flag.patch
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(compiz) < 0.9
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(oyranos) >= 0.9.6
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcm)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86vm)
Requires:       compiz < 0.9
Requires:       oyranos-monitor
Recommends:     ccsm < 0.9
Recommends:     oyranos-qcmsevents

%description
The Compiz ICC colour server, or short compicc, lets you colour
manage your whole desktop at once and in hardware. Play movies,
watch images on wide or narrow gamut displays. Each connected
monitor is colour corrected for its own.

%prep
%setup -q
%patch0 -p1

%build
%configure \
  --disable-static \
  --enable-debug
make %{?_smp_mflags} V=1

%install
%make_install
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%post
/sbin/ldconfig
%icon_theme_cache_post

%postun
/sbin/ldconfig
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS.md ChangeLog.md COPYING.md README.md
%dir %{_libdir}/compiz/
%{_libdir}/compiz/*libcompicc.*
%dir %{_datadir}/compiz/
%{_datadir}/compiz/*compicc.*
%{_datadir}/ccsm/

%changelog
* Sat Jan 28 2017 ku.b@gmx.de
- fix docu file names from markdownification
* Sat Dec 10 2016 sor.alexei@meowr.ru
- Update to version 0.8.10:
  * Use Oyranos to clear and move profiles.
  * Handle Oyranos DB cache.
  * Improve debug output.
  * Reduce updates.
* Mon Jul 18 2016 schwab@suse.de
- pic-flag.patch: always compile shared objects with -fPIC
* Fri Nov 13 2015 sor.alexei@meowr.ru
- Restore needed gcc-c++ dependency.
* Mon Nov  9 2015 sor.alexei@meowr.ru
- Fix dependencies.
- Remove not working plugin enabling.
- Spec cleanup.
- Remove "_disable_ld_no_undefined 1".
- Recommend ccsm instead of depending on it.
* Sun May 11 2014 ku.b@gmx.de
- update to 0.8.9 release
  * update spec requirements
  * support 30-bit visual without region profiles
* Sat May 10 2014 ku.b@gmx.de
- update to 0.8.8 release
  * integrate build patches from Petr
  * remove references to unused fltk tests
* Wed Sep 11 2013 pgajdos@suse.com
- fixed build, added:
  * no-striptopt.patch
  * strdup.patch
  * xcm-is-present.patch
* Sat Dec 22 2012 ku.b@gmx.de
- update to 0.8.7 release
  * [core]: add ICM attribute to _ICC_COLOR_DESKTOP
  * [core]: remove obsolete client message
  * [core]: describe our _ICC_COLOR_DESKTOP attributes
  * [core]: observe more XRandR events
* Thu Dec 20 2012 ku.b@gmx.de
- mark |ICM| attribute in _ICC_COLOR_DESKTOP atom
* Fri Nov  2 2012 ku.b@gmx.de
- 0.8.6 release
- update to Oyranos 0.9
- bug fixes
* Thu Jun  7 2012 ku.b@gmx.de
- fix spec file Url and Vendor information
* Thu Jun  7 2012 ku.b@gmx.de
- add license to spec file
* Wed Jun  6 2012 ku.b@gmx.de
- use spdx license format BSD-3-Clause
* Tue Mar 13 2012 ku.b@gmx.de - 0.8.5
- required ccsm, as we need to switch CompICC off and on during profiling
* Mon Feb 27 2012 ku.b@gmx.de
- Update to 0.8.5
* Thu Dec 15 2011 ku.b@gmx.de
- recommend < 0.9 dependency for compizconfig-settings-manager
- buildrequire libtool
* Wed Nov 16 2011 ku.b@gmx.de
- handle dependencies (forwarded request 91721 from bekun)
- recover commit changelog
* Fri Nov 11 2011 ku.b@gmx.de
- recommend basic oyranos-monitor command line tools
* Wed Nov  9 2011 ku.b@gmx.de
- require compiz < 0.9 for API break in 0.9
* Sat Oct  1 2011 ku.b@gmx.de
- build against compiz-0.8
* Sun May  1 2011 ku.b@gmx.de
- Update to 0.8.4 release
* Tue Aug 10 2010 ku.b@gmx.de
- initial packaging 0.8.3
